> ## Documentation Index
> Fetch the complete documentation index at: https://docs.surnex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1executions



## OpenAPI

````yaml https://api.surnex.io/.well-known/openapi.json get /v1/executions/{id}
openapi: 3.1.0
info:
  title: Surnex API
  version: 0.2.0
servers:
  - url: https://api.surnex.io
security: []
paths:
  /v1/executions/{id}:
    get:
      tags:
        - v1
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Execution status and metadata.
          content:
            application/json:
              schema:
                type: object
                properties:
                  execution_id:
                    type: string
                    format: uuid
                  status:
                    type: string
                    enum:
                      - queued
                      - running
                      - complete
                      - partial
                      - failed
                  operation:
                    type: object
                    properties:
                      service:
                        type: string
                      operation_path:
                        type: string
                      method:
                        type: string
                        enum:
                          - GET
                          - POST
                        description: HTTPMethod
                      mode:
                        type: string
                        enum:
                          - live
                          - task_post
                          - task_get
                          - tasks_ready
                          - tasks_fixed
                        description: DataForSeoOperationMode
                      request_body_present:
                        type: boolean
                      request_query_present:
                        type: boolean
                    required:
                      - service
                      - operation_path
                      - method
                      - mode
                      - request_body_present
                      - request_query_present
                  scope:
                    type: object
                    properties:
                      part_type:
                        type: string
                      expected_parts:
                        type: array
                        items:
                          type: string
                      snapshot_id:
                        type: string
                        format: uuid
                    required:
                      - part_type
                      - expected_parts
                      - snapshot_id
                  provider:
                    type: string
                required:
                  - execution_id
                  - status
                  - operation
                  - scope
                  - provider
                description: SurnexExecutionStatusResponse
              examples:
                running:
                  value:
                    execution_id: f47ac10b-58cc-4372-a567-0e02b2c3d479
                    status: running
                    operation:
                      service: serp
                      operation_path: /serp/google/organic/live
                      method: POST
                      mode: live
                      request_body_present: true
                      request_query_present: false
                    scope:
                      part_type: serp_google_organic_live
                      expected_parts:
                        - serp_google_organic_live
                      snapshot_id: f47ac10b-58cc-4372-a567-0e02b2c3d479
                    provider: dataforseo
        '404':
          description: Execution not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      request_id:
                        type: string
                      details:
                        type: object
                        properties: {}
                        default: {}
                        additionalProperties: {}
                    required:
                      - code
                      - message
                      - request_id
                required:
                  - error
                description: ErrorResponse
              examples:
                notFound:
                  value:
                    error:
                      code: NOT_FOUND
                      message: Execution not found
                      request_id: req_123
                      details: {}
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'Authorization: Bearer sk_...'
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````